<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

namespace local_kid\event;

defined('MOODLE_INTERNAL') || die();

class entry_unpublished extends \core\event\base {

    protected function init() {
        $this->data['crud'] = 'u';
        $this->data['edulevel'] = self::LEVEL_OTHER;
    }

    public static function get_name() {
        return get_string('event_entry_unpublished', 'local_kid');
    }

    public function get_description() {
        $domain = $this->other['domain'] ?? '?';
        $entryid = $this->other['entryid'] ?? 0;
        return "The user with id '{$this->userid}' unpublished (hid) $domain entry '$entryid'.";
    }

    public function get_url() {
        return new \moodle_url('/local/kid/pages/dashboard.php');
    }
}
